Bug 157085 - libexif crash
Summary: libexif crash
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libexif (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 156365
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 18:17 UTC by Matthias Clasen
Modified: 2013-04-02 04:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 15:54:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Clasen 2005-05-06 18:17:15 UTC
+++ This bug was initially created as a clone of Bug #156365 +++

+++ This bug was initially created as a clone of Bug #156363 +++

Joe Orton was playing with the image which triggers the PHP exif recursion
crash, and it looks like the same issue triggers in libexif:

$ gdb --args eog http://tantra.cambridge.redhat.com/~jorton/file.jpg
...
(gdb) run
...
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1221256272 (LWP 8355)]
0x006f0e9f in _int_malloc () from /lib/tls/libc.so.6
(gdb) where
#0  0x006f0e9f in _int_malloc () from /lib/tls/libc.so.6
#1  0x006f2f01 in malloc () from /lib/tls/libc.so.6
#2  0x00aeb970 in exif_entry_new () from /usr/lib/libexif.so.9
#3  0x00aea54c in exif_content_foreach_entry () from /usr/lib/libexif.so.9
#4  0x00aea652 in exif_content_foreach_entry () from /usr/lib/libexif.so.9
#5  0x00aea652 in exif_content_foreach_entry () from /usr/lib/libexif.so.9
#6  0x00aea652 in exif_content_foreach_entry () from /usr/lib/libexif.so.9
etc

the fix used in PHP is to impose an (arbitrary) nesting limit of 250.

This may have no security consequences if it is a simple crash, needs investigation.

Comment 1 Matthias Clasen 2005-05-06 18:19:56 UTC
A simple fix can be found in the FC4 package.

Comment 4 Jiri Pallich 2012-06-20 15:54:23 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.